/***************************************************************************
                          qdvbzapchanneltooltip.h  -  description
                             -------------------
    begin                : Fri Jul 11 2003
    copyright            : (C) 2003 by Andre Stein
    email                : stone@steinsoft.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QDVBZAPCHANNELTOOLTIP_H
#define QDVBZAPCHANNELTOOLTIP_H

#include <qwidget.h>
#include <qtooltip.h>
#include "qdvbzapchannellist.h"

/** This class is a special implementation of a QToolTip. It
  * displays channel information about the channel
  * the mouse is currently over.
  *@author Andre Stein
  */

class QdvbzapChannelTooltip : public QToolTip
{
public: 
	QdvbzapChannelTooltip(QWidget *parent=0);
	virtual ~QdvbzapChannelTooltip();
protected: // Protected methods
	/** overwritten maybeTip implementation to show the right tip */
	virtual void maybeTip(const QPoint& point);
};

#endif
